# Multifind_object Class Reference

Multifind_object Class. More...

`#include <Multifind_object.h>`

Inherits Multilign_object.

List of all members.

## Public Member Functions

| Multifind_object (const string &outputmultifind, const vector< string > &ctfiles, const vector< string > &inputalignment, const vector< string > &inputsequences, const int &processors, TProgressDialog *progress=NULL)
int | Multifind_Predict ()
| The core function doing Multilign calculation and SVM prediction.

## Private Member Functions

double | sum_multifind (vector< double > &series)
double | average_multifind (vector< double > &series)
double | variation_multifind (vector< double > &series)
double | sum_multifind (vector< float > &series)
double | average_multifind (vector< float > &series)
double | variation_multifind (vector< float > &series)
double | sum_multifind (vector< int > &series)
double | average_multifind (vector< int > &series)
double | variation_multifind (vector< int > &series)
double | normalized_ensemble_defect (RNA *rna)
double | entropy (vector< char > column)
double | average_entropy ()
vector< double > | single_z_predict (string sequence, svm_model *model_folding_average, svm_model *model_folding_std, svm_model *model_ensemble_average, svm_model *model_ensemble_std)
int | get_gap (string sequence)
double | common_energies ()
vector< double > | predict_ncRNA_probabilities (double sci, double entropy, double single_z, double ensemble_defect_z)

## Private Attributes

int | num_processors

## Detailed Description

Multifind_object Class.

The Multifind_object class provides an entry point for the Multifind algorithm.

## Constructor & Destructor Documentation

Multifind_object::Multifind_object | ( | const string & | outputmultifind,
|  | const vector< string > & | ctfiles,
|  | const vector< string > & | inputalignment,
|  | const vector< string > & | inputsequences,
|  | const int & | processors,
|  | TProgressDialog * | progress = `NULL` |
| ) |  |  |

Constructor:

Parameters:

  | outputmultifind | is the name of the Multifind output file to which the output is written to.
  | ctfiles | is a vector of strings storing the names of the ct files to which the output structures are written to.
  | inputalignment | is a vector of strings storing the input sequences in the alignment (with gaps).
  | inputsequences | is a vector of strings storing the input sequences in the alignment (without gaps).
  | processors | is a interger indicating the number of processors required by Multifind in smp calculations.(only applicable in smp version)
  | progress | is a TProgressDialog for reporting progress of the calculation to the user. The default value of NULL means that no communication is provided.

## Member Function Documentation

double Multifind_object::average_entropy | ( |  | ) | `[private]`

double Multifind_object::average_multifind | ( | vector< int > & | series | ) | `[private]`

double Multifind_object::average_multifind | ( | vector< float > & | series | ) | `[private]`

double Multifind_object::average_multifind | ( | vector< double > & | series | ) | `[private]`

double Multifind_object::common_energies | ( |  | ) | `[private]`

double Multifind_object::entropy | ( | vector< char > | column | ) | `[private]`

int Multifind_object::get_gap | ( | string | sequence | ) | `[private]`

int Multifind_object::Multifind_Predict | ( |  | ) |

The core function doing Multilign calculation and SVM prediction.

double Multifind_object::normalized_ensemble_defect | ( | RNA * | rna | ) | `[private]`

vector< double > Multifind_object::predict_ncRNA_probabilities | ( | double | sci,
|  | double | entropy,
|  | double | single_z,
|  | double | ensemble_defect_z |
| ) |  |  | `[private]`

vector< double > Multifind_object::single_z_predict | ( | string | sequence,
|  | svm_model * | model_folding_average,
|  | svm_model * | model_folding_std,
|  | svm_model * | model_ensemble_average,
|  | svm_model * | model_ensemble_std |
| ) |  |  | `[private]`

double Multifind_object::sum_multifind | ( | vector< int > & | series | ) | `[private]`

double Multifind_object::sum_multifind | ( | vector< float > & | series | ) | `[private]`

double Multifind_object::sum_multifind | ( | vector< double > & | series | ) | `[private]`

double Multifind_object::variation_multifind | ( | vector< int > & | series | ) | `[private]`

double Multifind_object::variation_multifind | ( | vector< float > & | series | ) | `[private]`

double Multifind_object::variation_multifind | ( | vector< double > & | series | ) | `[private]`

## Member Data Documentation

int Multifind_object::num_processors `[private]`

The documentation for this class was generated from the following files:

- C:/Users/dhm/Documents/RNAstructure57/RNAstructure/RNA_class/Multifind_object.h
- C:/Users/dhm/Documents/RNAstructure57/RNAstructure/RNA_class/Multifind_object.cpp